# Interface methods for submodule: CenteredVersorTransformInitializer
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import CenteredTransformInitializerProxy as _CenteredTransformInitializerProxy


# Interface methods for class: CenteredVersorTransformInitializer
class CenteredVersorTransformInitializerProxy(_CenteredTransformInitializerProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def InitializeTransform(self) -> None:
		""""""
		...

	def SetComputeRotation(self, _arg: bool) -> None:
		""""""
		...

	def GetComputeRotation(self) -> bool:
		""""""
		...

	def ComputeRotationOn(self) -> None:
		""""""
		...

	def ComputeRotationOff(self) -> None:
		""""""
		...

